Package de.willuhn.jameica.hbci.server

# Class SepaSammelLastBuchungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferBuchungImpl<SepaSammelLastschrift>
de.willuhn.jameica.hbci.server.SepaSammelLastBuchungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Duplicatable`, `HibiscusDBObject`, `SepaBooking`, `SepaSammelLastBuchung`, `SepaSammelTransferBuchung<SepaSammelLastschrift>`, `Transfer`, `Serializable`, `Remote`

public class SepaSammelLastBuchungImpl extends AbstractSepaSammelTransferBuchungImpl<SepaSammelLastschrift> implements SepaSammelLastBuchung
Implementierung einer einzelnen Buchung einer SEPA-Sammellastschrift.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelLastBuchungImpl()`

## Method Summary

Modifier and Type
Method
Description
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`String`
`getCreditorId()`
Liefert die Glaeubiger-ID.
`protected Class`
`getForeignObject(String arg0)`
`String`
`getMandateId()`
Liefert die Mandats-ID.
`SepaSammelLastschrift`
`getSammelTransfer()`
Liefert den zugeordneten Sammel-Transfer.
`Date`
`getSignatureDate()`
Liefert das Datum der Unterschrift des Mandats.
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`void`
`setCreditorId(String id)`
Speichert die Glaeubiger-ID.
`void`
`setMandateId(String id)`
Speichert die Mandats-ID.
`void`
`setSammelTransfer(SepaSammelLastschrift s)`
Legt den zugehoerigen Sammel-Transfer fest.
`void`
`setSignatureDate(Date date)`
Speichert das Datum der Unterschrift des Mandats.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferBuchungImpl

`getAttribute, getBetrag, getEndtoEndId, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getPrimaryAttribute, getPurposeCode, getWeitereVerwendungszwecke, getZweck, getZweck2, setBetrag, setEndtoEndId, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setPurposeCode, setZweck, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransferBuchung

`setBetrag, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setZweck`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### SepaSammelLastBuchungImpl

public SepaSammelLastBuchungImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getForeignObject

protected Class getForeignObject(String arg0) throws RemoteException

Overrides:
  `getForeignObject` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getForeignObject(java.lang.String)`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractSepaSammelTransferBuchungImpl<SepaSammelLastschrift>`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Overrides:
  `duplicate` in class `AbstractSepaSammelTransferBuchungImpl<SepaSammelLastschrift>`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferBuchungImpl.duplicate()`

### getSammelTransfer

public SepaSammelLastschrift getSammelTransfer() throws RemoteException
Description copied from interface: `SepaSammelTransferBuchung`
Liefert den zugeordneten Sammel-Transfer.

Specified by:
  `getSammelTransfer` in interface `SepaSammelTransferBuchung<SepaSammelLastschrift>`
Returns:
  Sammel-Transfer.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransferBuchung.getSammelTransfer()`

### setSammelTransfer

public void setSammelTransfer(SepaSammelLastschrift s) throws RemoteException
Description copied from interface: `SepaSammelTransferBuchung`
Legt den zugehoerigen Sammel-Transfer fest.

Specified by:
  `setSammelTransfer` in interface `SepaSammelTransferBuchung<SepaSammelLastschrift>`
Parameters:
  `s` - Sammel-Transfer.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransferBuchung.setSammelTransfer(de.willuhn.jameica.hbci.rmi.SepaSammelTransfer)`

### getMandateId

public String getMandateId() throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Liefert die Mandats-ID.

Specified by:
  `getMandateId` in interface `SepaSammelLastBuchung`
Returns:
  die Mandats-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.getMandateId()`

### setMandateId

public void setMandateId(String id) throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Speichert die Mandats-ID.

Specified by:
  `setMandateId` in interface `SepaSammelLastBuchung`
Parameters:
  `id` - die Mandats-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.setMandateId(java.lang.String)`

### getSignatureDate

public Date getSignatureDate() throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Liefert das Datum der Unterschrift des Mandats.

Specified by:
  `getSignatureDate` in interface `SepaSammelLastBuchung`
Returns:
  das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.getSignatureDate()`

### setSignatureDate

public void setSignatureDate(Date date) throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Speichert das Datum der Unterschrift des Mandats.

Specified by:
  `setSignatureDate` in interface `SepaSammelLastBuchung`
Parameters:
  `date` - das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.setSignatureDate(java.util.Date)`

### getCreditorId

public String getCreditorId() throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Liefert die Glaeubiger-ID.

Specified by:
  `getCreditorId` in interface `SepaSammelLastBuchung`
Returns:
  die Glaeubiger-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.getCreditorId()`

### setCreditorId

public void setCreditorId(String id) throws RemoteException
Description copied from interface: `SepaSammelLastBuchung`
Speichert die Glaeubiger-ID.

Specified by:
  `setCreditorId` in interface `SepaSammelLastBuchung`
Parameters:
  `id` - die Glaeubiger-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelLastBuchung.setCreditorId(java.lang.String)`